Skip to main content
GET
/
api
/
annotation
/
owner
/
{ownerId}
Lists all annotations belonging to a specific owner, ordered by creation date ascending.
curl --request GET \
  --url https://{tenant}.ekso.app/api/annotation/owner/{ownerId} \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "owner": 123,
    "ownerId": "<string>",
    "annotator": 123,
    "annotatorId": "<string>",
    "restrictedTo": [
      "<string>"
    ],
    "contentType": "<string>",
    "content": "<string>",
    "meta": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

ownerId
string
required

The unique identifier of the owning entity (e.g. an item).

Response

List of annotations for the owner.

entity
null | string
owner
integer
ownerId
string
annotator
integer
annotatorId
string
restrictedTo
string[]
contentType
string
content
string
meta
object[]
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean